Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.cert
Class CertificateNotYetValidException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.security.cert.CertificateException
                  javax.security.cert.CertificateNotYetValidException

All Implemented Interfaces:
  Serializable

public class CertificateNotYetValidException
extends CertificateException

Certificate is not yet valid exception. This is thrown whenever the current `Date` or the specified `Date` is before the `notBefore` date/time in the Certificate validity period.

Note: The classes in the package `javax.security.cert` exist for compatibility with earlier versions of the Java Secure Sockets Extension (JSSE). New applications should instead use the standard J2SE certificate classes located in `java.security.cert`.

Since:
  1.4
See Also:
  Serialized Form

Constructor Summary
`CertificateNotYetValidException()` Constructs a CertificateNotYetValidException with no detail message.
`CertificateNotYetValidException(String message)` Constructs a CertificateNotYetValidException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertificateNotYetValidException

    public CertificateNotYetValidException()

  Constructs a CertificateNotYetValidException with no detail message. A detail message is a String that describes this particular exception.

### CertificateNotYetValidException

    public CertificateNotYetValidException(String message)

  Constructs a CertificateNotYetValidException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `message` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.